Skip to content
Last updated

title: Get Sync Jobs keywords:

  • get sync jobs
  • get
  • sync
  • jobs

Get Git sync history for an automation.

GEThttps://api.aitronos.com/v1/streamline/automations/{automation_id}/syncs

Path Parameters

automation_id string required

The automation id parameter.

Query Parameters

limit integer optional ยท Defaults to 20

The limit parameter.


Returns

sync_jobs array of object

Sync Jobs

cURL
curl -X GET "https://api.aitronos.com/v1/streamline/automations/{automation_id}/syncs" \
  -H "X-API-Key: $FREDDY_API_KEY"

Response:

200 OK
{
  "sync_jobs": [
    {
      "id": "abc123def456",
      "automation_id": "abc123def456",
      "status": "active",
      "commit_sha_before": "example_commit_sha_before",
      "commit_sha_after": "example_commit_sha_after",
      "changes_detected": false,
      "error_message": "example_error_message",
      "synced_at": "2025-11-15T10:30:00Z",
      "created_at": "2025-11-15T10:30:00Z"
    }
  ]
}